%define anolis_release 15
Name:           perl-Carp-Clan
Version:        6.08
Release:        %{anolis_release}%{?dist}
Summary:        Perl module to print improved warning messages

License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Carp-Clan
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Carp-Clan-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
%if !%{defined perl_bootstrap}
# Run-time
BuildRequires:  perl(overload)
# Tests
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Object::Deadly)
BuildRequires:  perl(Test::More)
%endif

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(DB\\)

%description
This module reports errors from the perspective of the caller of a
"clan" of modules, similar to "Carp.pm" itself. But instead of giving
it a number of levels to skip on the calling stack, you give it a
pattern to characterize the package names of the "clan" of modules
which shall never be blamed for any error.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.


%prep
%setup -q -n Carp-Clan-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if !%{defined perl_bootstrap}
make test
%endif

%files
%license LICENSE
%{perl_vendorlib}/Carp/
%{_mandir}/man3/*.3*

%files doc
%doc README Changes

%changelog
* Sun Feb 12 2023 Funda Wang <fundawang@yeah.net> - 6.08-15
- Rebuild without bootstrap

* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 6.08-14
- Import package for anolis 23
